Loading...
Searching...
No Matches
janus_streaming_session_stream Struct Reference
Collaboration diagram for janus_streaming_session_stream:
[legend]

## Data Fields

int | mindex
janus_streaming_rtp_source_stream * | stream
gboolean | send
int | pt
janus_rtp_switching_context | context
janus_rtp_simulcasting_context | sim_context
janus_vp8_simulcast_context | vp8_context
int | spatial_layer
int | target_spatial_layer
gint64 | last_spatial_layer [3]
int | temporal_layer
int | target_temporal_layer
int16_t | min_delay
int16_t | max_delay

## Field Documentation

## context

janus_rtp_switching_context janus_streaming_session_stream::context

## last_spatial_layer

gint64 janus_streaming_session_stream::last_spatial_layer[3]

## max_delay

int16_t janus_streaming_session_stream::max_delay

## min_delay

int16_t janus_streaming_session_stream::min_delay

## mindex

int janus_streaming_session_stream::mindex

## pt

int janus_streaming_session_stream::pt

## send

gboolean janus_streaming_session_stream::send

## sim_context

janus_rtp_simulcasting_context janus_streaming_session_stream::sim_context

## spatial_layer

int janus_streaming_session_stream::spatial_layer

## stream

janus_streaming_rtp_source_stream* janus_streaming_session_stream::stream

## target_spatial_layer

int janus_streaming_session_stream::target_spatial_layer

## target_temporal_layer

int janus_streaming_session_stream::target_temporal_layer

## temporal_layer

int janus_streaming_session_stream::temporal_layer

## vp8_context

janus_vp8_simulcast_context janus_streaming_session_stream::vp8_context

The documentation for this struct was generated from the following file:

- janus_streaming.c